Skip to navigation

Update note

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Path parameters

note_idstringRequired

Note id (bigint as string)

Request

This endpoint expects an object.
titlestringOptional
descriptionstringOptional
authorstringOptional
participantstringOptionalformat: "uuid"
note_typestringOptional
prioritybooleanOptional
note_datedateOptional
providerstringOptionalformat: "uuid"
invoiceintegerOptional
external_idstringOptional
pinnedbooleanOptional

Response

Updated note
idstringOptional

Note id (bigint as string)

created_atdatetimeOptional
titlestringOptional
descriptionstringOptional
authorstringOptional
plan_managerstringOptionalformat: "uuid"
participantstringOptionalformat: "uuid"
note_typestringOptional
prioritybooleanOptional
note_datedateOptional
providerstringOptionalformat: "uuid"
invoicestringOptional

Associated invoice id (bigint as string)

external_idstringOptional
pinnedbooleanOptional
audit_logmap from strings to anyOptional

Audit log entries (read-only

count_attachmentsintegerOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error